#
# spec file for package proftpd (Version 1.2.2release)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake cyrus-sasl openldap2 openldap2-client openldap2-devel openssl openssl-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2 openldap2-client openldap2-devel openssl openssl-devel pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         proftpd
%define VERSION 1.2.2
Version:      1.2.2release
Release:      70
Copyright:    GPL
Group:        Networking/Daemons
Provides:     ftpcount ftpshut ftpwho in.proftpd proftpd 
Conflicts:    wuftpd
Requires:     openldap2-client
Autoreqprov:  on
Summary:      Full featured FTP daemon
Icon:         proftpd.xpm
Source:       ftp://ftp.proftpd.org/distrib/proftpd-%{VERSION}.tar.bz2
Source1:      proftpd.pamd
Patch1:       proftpd-defaults.dif
Patch2:       proftpd-openmode.dif
Patch3:       proftpd-syscall.dif
Patch4:       proftpd-config.dif
Patch5:       proftpd-%{VERSION}.dif
BuildRoot:    %{_tmppath}/%{name}-%{version}-root

%description
Professional FTP Daemon offers features as configuration with a
Apache like syntax in a single file and per directory with
.ftpaccess, support of multiple virtual FTP servers and anonymous
FTP services, _no_ SITE EXEC command to avoid security problems,
hidden directories or files, wu.ftpd compatible logging (extended
logging available), utmp/wtmp support, shadow password support,
including support for expired accounts.
Documentation in /usr/share/doc/packages/proftpd and www.proftpd.org

Authors:
--------
    proftpd@proftpd.org

SuSE series: n

%prep
%setup -n %{name}-%{VERSION}
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0

%build
export CFLAGS="$RPM_OPT_FLAGS"
%{?suse_update_config}
./configure --prefix=/usr --sbindir=/usr/sbin \
  --sysconfdir=/etc --localstatedir=/var/run \
  --mandir=%{_mandir} --disable-sendfile \
  --with-modules=mod_ratio:mod_readme:mod_linuxprivs:mod_ldap:mod_pam
make clean
make
cp contrib/README			README.contrib
chmod 644 contrib/xferstats.holger-preiss contrib/genuser.pl

%install
export RPM_BUILD_ROOT
#
# create directories in build root
#
for dir in /etc/pam.d /etc/init.d \
           /usr/sbin /%{_mandir} /var/run/proftpd \
           /var/adm/fillup-templates
do
  mkdir -m 0755 -p $RPM_BUILD_ROOT/$dir
done
#
# install system specific files
#
install -m 0644 proftpd.conf      $RPM_BUILD_ROOT/etc
install -m 0755 rc.proftpd        $RPM_BUILD_ROOT/etc/init.d/proftpd
ln -sf ../../etc/init.d/proftpd   $RPM_BUILD_ROOT/usr/sbin/rcproftpd
install -m 0644 rc.config.proftpd $RPM_BUILD_ROOT/var/adm/fillup-templates/rc.config.proftpd
install -m 0644 $RPM_SOURCE_DIR/proftpd.pamd $RPM_BUILD_ROOT/etc/pam.d/proftpd
#
# install proftpd files
#
prefix=$RPM_BUILD_ROOT/usr mandir=$RPM_BUILD_ROOT/%{_mandir} \
  sbindir=$RPM_BUILD_ROOT/usr/sbin sysconfdir=$RPM_BUILD_ROOT/etc \
  localstatedir=$RPM_BUILD_ROOT/var/run make install -e
install -m 0755    contrib/genuser.pl $RPM_BUILD_ROOT/usr/sbin/

%post
#mkdir -p var/adm/notify/messages
#cat << EOF > var/adm/notify/messages/proftpd-notify
#english title
#-------------------------------------
#english notify
#***********************************************************
#german title
#---------------------------------------
#german notify
#EOF
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.proftpd
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.proftpd and"
  echo "update by hand."
fi
# Create symbolic run level links during installation
sbin/insserv etc/init.d/proftpd

%postun
# Rearrange run level symlinks after removing the init script
sbin/insserv etc/init.d/

%files
%config(noreplace) /etc/pam.d/proftpd
%config(noreplace) /etc/proftpd.conf
%doc COPYING CREDITS INSTALL ChangeLog NEWS README* sample-configurations
%doc contrib/README.ratio contrib/xferstats.holger-preiss
%doc doc/API doc/Changes-1.2.0pre3 doc/Configuration.html
%doc doc/FAQ-config.html doc/Undocumented.txt doc/development.notes
%doc doc/license.txt doc/mod_sample.c doc/rfc
%dir /var/run/proftpd
/var/adm/fillup-templates/rc.config.proftpd
%config /etc/init.d/proftpd
/usr/sbin/rcproftpd
/usr/bin/ftpwho
/usr/bin/ftpcount
/usr/sbin/genuser.pl
/usr/sbin/ftpshut
/usr/sbin/proftpd
/usr/sbin/in.proftpd
%{_mandir}/man1/ftpwho.1*
%{_mandir}/man1/ftpcount.1*
%{_mandir}/man5/xferlog.5*
%{_mandir}/man8/ftpshut.8*
%{_mandir}/man8/proftpd.8*

%changelog -n proftpd
* Wed Sep 19 2001 - mt@suse.de
- changed Default-Stop definition in init-script to 0 1 2 6
* Tue Sep 04 2001 - mt@suse.de
- updated to 1.2.2(release)
- removed broken regexes from our sample config
- removed obsolete xferlog and macro patches
- stripped absolute paths from proftpd.pamd
- added ftpshut and /etc/shutmsg handling to rc script
* Wed Jul 25 2001 - mt@suse.de
- fixed run level script to be LSB 0.7.5 complient
* Wed Jun 27 2001 - schwab@suse.de
- Fix preprocessor directives inside macro calls.
* Fri Jun 08 2001 - mt@suse.de
- fixed Required-Start in run level script
* Tue May 08 2001 - mt@suse.de
- updated to 1.2.2rc2 (glibc-glob and minor other fixes)
* Thu Apr 26 2001 - mt@suse.de
- update to 1.2.1
* Wed Apr 18 2001 - mt@suse.de
- fixed pam-config name in modules/mod_pam.c to proftpd
* Fri Mar 23 2001 - schwab@suse.de
- Avoid including <linux/fs.h>.
* Thu Mar 15 2001 - ro@suse.de
- changed neededforbuild for openldap2
* Thu Mar 15 2001 - ro@suse.de
- fixed neededforbuild for openldap
* Thu Mar 08 2001 - mt@suse.de
- added a hint about ServerType to rc.config variable comments
* Tue Feb 27 2001 - bk@suse.de
- Update to 1.2.0 release, obsoletes proftpd-akill.dif from roman
- fixed copyright tag to show the license(GPL)
* Wed Feb 21 2001 - kukuk@suse.de
- Fix compiliation of capability module
* Mon Feb 12 2001 - mt@suse.de
- updated to 1.2.0rc3 with security related bug fixes
- added akill patch done by draht
* Wed Jan 10 2001 - mt@suse.de
- added deny for SIZE commands in config file
  to workarround a possible DoS (memory leak)
* Tue Jan 09 2001 - mt@suse.de
- disabled broken mod_tar in spec
* Sat Dec 02 2000 - schwab@suse.de
- Use capget and capset from glibc.
* Fri Dec 01 2000 - kukuk@suse.de
- Move sbin/init.d -> etc/init.d
* Mon Nov 27 2000 - mt@suse.de
- changed BYTE_ORDER dependency in modules/mod_linuxprivs.c
- fixed prefix handling in spec
* Wed Nov 22 2000 - mt@suse.de
- changed to insserv installation of run level links (LSB)
- added BuildRoot in spec file
- replaces man path with %%{_mandir} rpm-macro
- added pasv patch extracted from CVS source
* Mon Nov 06 2000 - ro@suse.de
- fixed neededforbuild
* Wed Sep 20 2000 - ro@suse.de
- fixed changes
* Wed Sep 20 2000 - mt@suse.de
- added DirExecMode Config-Option that allows users to set
  "Umask 0022 0022" and "DirExecMode on" for directories,
  so files are created with executable-bit set - usefull
  for directories like cgi-bin...
* Wed Aug 30 2000 - mt@suse.de
- updated to 1.2.0rc2 (with i.e. AllowChmod-fix)
- enhanced logging of aborted sessions with wuftpd
  compatibility (compile time) flag (default=off)
* Thu Jul 13 2000 - mt@suse.de
- replaces regexes in /etc/proftpd.conf with better one
- enabled DenyFilter "%%" and TransferLog as default
* Tue Jul 11 2000 - mt@suse.de
- updated to 1.2.0rc1
* Tue Apr 04 2000 - schwab@suse.de
- Update config.{guess,sub} from automake
- Hack to avoid including <linux/fs.h>
* Wed Mar 01 2000 - uli@suse.de
- moved man pages to /usr/share
* Thu Nov 04 1999 - mt@suse.de
- enabled LDAP-Auth support
* Fri Oct 29 1999 - mt@suse.de
- updated to 1.2.0pre9
* Wed Sep 29 1999 - mt@suse.de
- added "inet_validate" fix from proftpd mailing list
* Tue Sep 28 1999 - mt@suse.de
- added a y2k fix from proftpd mailing list
* Mon Sep 27 1999 - mt@suse.de
- updated to 1.2.0pre7, fixed match_ip
* Tue Sep 21 1999 - uli@suse.de
- PPC: resolved #include conflict
* Wed Sep 15 1999 - mt@suse.de
- update to pre6, security fixes
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Jul 22 1999 - mt@suse.de
- changed to %%config(noreplace) /etc/proftpd.conf in spec
* Mon Jun 14 1999 - kukuk@suse.de
- Compile with PAM enabled, add proftpd.pamd
* Thu Jun 03 1999 - ro@suse.de
- cap_text.c: don't redeclare strdup, if it's a macro
* Wed Jun 02 1999 - mt@suse.de
- update to 1.2.0pre3
- added mod_linuxprivs module (capability support)
- adapted marc's "paranoia checks" from previous versions
* Mon Apr 05 1999 - bs@suse.de
- fixed date strings in .changes.
* Tue Jan 26 1999 - mt@suse.de
- buffer overflows patches from marc
- disabled mod_tar module
* Wed Dec 02 1998 - mt@suse.de
- new version 1.2.0pre1
* Tue Nov 10 1998 - ro@suse.de
- include asm/types.h for glibc
* Tue Oct 06 1998 - ro@suse.de
- for beta: update to 1.1.6pl2 using diff from mt
- dont define umode_t for glibc
* Fri Jul 24 1998 - tmg@suse.de
- fixed proftpd not using NIS user database
- fixed timeout problem with IDENTD (Port 113) queries
* Thu Jul 09 1998 - mt@suse.de
- now using group public
* Thu Jul 02 1998 - mt@suse.de
- changed /local/ftp to /usr/local/ftp
* Tue Jun 30 1998 - mt@suse.de
- new version 1.0.3
- added full html-docu (mirror from www.proftpd.org)
